package com.yiqi.common.enums;

/**
 * Enum - 积分来源
 *
 * @author lh
 * @since 2018-11-13
 */
public enum MemberPointSourceEnum {

    RECHARGEADD("RECHARGEADD", "充值赠送"),
    CONSUMEADD("CONSUMEADD", "消费赠送"),
    SYSSUB("SYSSUB", "系统扣除"),
    SYAADD("SYAADD", "系统增加"),
    CONSUME("CONSUME", "积分抵扣"),
    REFUND_ADD("REFUND_ADD", "积分抵扣退款返还"),
    REFUND_DEDUCT("REFUND_DEDUCT", "退款积分扣除"),
    INVITE_MEMBER("INVITE_MEMBER", "邀请新用户"),
    SIGN("SIGN", "签到");
    private final String code;
    private final String info;

    MemberPointSourceEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
